{% extends 'vagasifrn/base.html' %}

{% block titulo %}
Painel da Instituição Parceira: {{ user.instituicaoparceira.nome }}
{% endblock %}

{% block principal %}
    {% if user.instituicaoparceira.eh_valida %}
        <h3>Listagem das Vagas Cadastradas:</h3>
        {% if user.instituicaoparceira.possui_vagas %}
          <h4>Lista das Vagas validadas pelo IFRN:</h4>
          {% if user.instituicaoparceira.vagas_validas %}
            <ul>
                {% for vaga in user.instituicaoparceira.vagas_validas %}
                <li>
                    {{ vaga.num_vagas }} vagas para {{ vaga.funcao }},
                    com remuneração de R$ {{ vaga.remuneracao }}
                    {% if vaga.preenchida %}
                        (<b>VAGAS PREENCHIDAS</b>)
                    {% else %}
                        (<a href="{% url 'vagasifrn:vaga' vaga.id %}">ver detalhes</a>
                        | <a href="{% url 'vagasifrn:vaga_edit' vaga.id %}">editar</a>)
                    {% endif %}
                </li>
                {% endfor %}
            </ul>
          {% else %}
            <dd>Nenhuma vaga validada até o momento.</dd>
          {% endif %}
          <h4>Lista das Vagas ainda NÃO validadas pelo IFRN:</h4>
          {% if user.instituicaoparceira.vagas_nao_validas %}
            <ul>
                {% for vaga in user.instituicaoparceira.vagas_nao_validas %}
                <li>
                    {{ vaga.num_vagas }} vagas para {{ vaga.funcao }},
                    com remuneração de R$ {{ vaga.remuneracao }}
                    {% if vaga.preenchida %}
                        (<b>VAGAS PREENCHIDAS</b>)
                    {% else %}
                        (<a href="{% url 'vagasifrn:vaga' vaga.id %}">ver detalhes</a>
                        | <a href="{% url 'vagasifrn:vaga_edit' vaga.id %}">editar</a>)
                    {% endif %}
                </li>
                {% endfor %}
            </ul>
          {% else %}
            <dd>Nenhuma vaga a ser validada no presente momento.</dd>
          {% endif %}
        {% else %}
            <dd><i>Nenhuma vaga cadastrada até o momento!</i></dd>
        {% endif %}
        <p>
            <a href="{% url 'vagasifrn:vaga_add' %}">(+) cadastrar nova VAGA</a>
        </p>
    {% else %}
        <h3>Instituição aguardando validação do IFRN!</h3>
    {% endif %}
{% endblock %}